Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Operation_Table.h File Reference

`#include "portableserver_export.h"`
`#include "tao/Object.h"`
`#include "tao/TAO_Singleton.h"`
`#include "tao/Collocation_Strategy.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Map_Manager.h"`

Include dependency graph for Operation_Table.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | void
## Compounds
class | TAO_Active_Demux_OpTable
| Implements the active demultiplexed lookup strategy. The key is assumed to provide an index directly into the internal table. More...
class | TAO_Active_Demux_OpTable_Entry
| Active Demux lookup table entry. More...
class | TAO_Binary_Search_OpTable
| Helper class for using binary search operatin lookup strategy in the server skeletons. More...
class | TAO_Dynamic_Hash_OpTable
| Dynamic Hashing scheme for CORBA IDL operation name lookup. More...
class | TAO_Linear_Search_OpTable
| Operation table lookup strategy based on linear search. Not efficient, but it works. More...
class | TAO_operation_db_entry
| Define a table entry that holds an operation name and its corresponding skeleton. A table of such entries is used to initialize the different lookup strategies. More...
class | TAO_Operation_Table
| Abstract class for maintaining and lookup of CORBA IDL operation names. More...
class | TAO_Operation_Table_Factory
| Factory for producing operation table lookup objects based on the enumerated value of strategy held by the parameters. More...
class | TAO_Operation_Table_Parameters
| Parameters used to create the operation table. More...
class | TAO_Perfect_Hash_OpTable
| Helper class for use of perfect hashing operation lookup strategy. More...
## Typedefs
typedef void(* | TAO_Collocated_Skeleton )(TAO_Abstract_ServantBase *, TAO::Argument **, int)
typedef TAO_Singleton< TAO_Operation_Table_Parameters, TAO_SYNCH_RECURSIVE_MUTEX > | TAO_OP_TABLE_PARAMETERS
typedef TAO_Singleton< TAO_Operation_Table_Factory, TAO_SYNCH_RECURSIVE_MUTEX > | TAO_OP_TABLE_FACTORY
## Variables
typedef | void

## Detailed Description

Id:
  Operation_Table.h,v 1.8 2003/11/01 11:15:10 dhinton Exp

Author:
  Aniruddha Gokhale

## Typedef Documentation

typedef void(* TAO_Collocated_Skeleton)( TAO_Abstract_ServantBase *, TAO::Argument **, int )

typedef TAO_Singleton<TAO_Operation_Table_Factory, TAO_SYNCH_RECURSIVE_MUTEX> TAO_OP_TABLE_FACTORY

typedef TAO_Singleton<TAO_Operation_Table_Parameters, TAO_SYNCH_RECURSIVE_MUTEX> TAO_OP_TABLE_PARAMETERS

## Variable Documentation

typedef void